/*
 * @(#)image.h
 *
 * create_images() Copyright 2000  Stephen Montgomery-Smith
 *
 * Copyright 1993 - 2005  David A. Bagley, bagleyd@tux.org
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#if 0
/* Turn on and off from Makefile */
#define IMAGE 1
#define SMALL_BELLYBUTTON 1
#define LARGE_BELLYBUTTON 1
#endif

#ifdef WINVER
#include <windows.h>
#else
#include <X11/Intrinsic.h>
#endif

#define BITMAPS 256
#define MAX_UNITS 6

/* Defines to index the bitmaps. */
#define LEFT 1 /* (1<<0) */
#define DOWN 2 /* (1<<1) */
#define RIGHT 4 /* (1<<2) */
#define UP 8 /* (1<<3) */
#define LEFT_DOWN 16 /* (1<<4) */
#define RIGHT_DOWN 32 /* (1<<5) */
#define RIGHT_UP 64 /* (1<<6) */
#define LEFT_UP 128 /* (1<<7) */

#define CHECKLEFT(x) ((x)|LEFT)
#define CHECKDOWN(x) ((x)|DOWN)
#define CHECKRIGHT(x) ((x)|RIGHT)
#define CHECKUP(x) ((x)|UP)

#ifdef IMAGE
#ifdef WINVER
extern HBITMAP images[2][BITMAPS];
#else
extern XImage *images[2][BITMAPS];
#endif
extern char create_images(
#ifndef WINVER
	Display *display, Visual *visual,
#endif
	char use3D, int next, int size);
extern void free_images(int next);
extern int polyPixmap(int i, int j, int p[MAX_UNITS][MAX_UNITS], int s);
#else
#define polyPixmap(i,j,p,s) (BITMAPS-1)
#endif

